org.apache.geode

## Class SerializationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.geode.GemFireException
        - - org.apache.geode.GemFireIOException
          - - org.apache.geode.SerializationException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    PdxSerializationException, ToDataException

      public class SerializationException
      extends GemFireIOException

  An exception indicating that a serialization or deserialization failed.
  Since:
    GemFire 5.7
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SerializationException(java.lang.String message)` Create a new instance of SerializationException with a detail message
    `SerializationException(java.lang.String message, java.lang.Throwable cause)` Create a new instance of SerializationException with a detail message and cause

  - ### Method Summary

    - ### Methods inherited from class org.apache.geode.GemFireException

      `getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SerializationException

          public SerializationException(java.lang.String message)

      Create a new instance of SerializationException with a detail message
      Parameters:
        `message` - the detail message

    - #### SerializationException

          public SerializationException(java.lang.String message,
                                        java.lang.Throwable cause)

      Create a new instance of SerializationException with a detail message and cause
      Parameters:
        `message` - the detail message
        `cause` - the cause